%define oname gnome-sharp
%define monodir %_prefix/lib/mono

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	C# language binding for GNOME
Name:		gnome-sharp2
Version:	2.24.2
Release:	%mkrel 4
License:	LGPLv2
Group:		System/Libraries
URL:		http://gtk-sharp.sourceforge.net/
Source0:	http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.bz2
BuildRequires:	pkgconfig(gapi-2.0) >= 2.12.2
BuildRequires:	pkgconfig(glade-sharp-2.0) >= 2.12.2
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.13.0
BuildRequires:	pkgconfig(gnome-vfs-2.0) >= 2.22.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.13.0
BuildRequires:	pkgconfig(gtk-sharp-2.0) >= 2.12.2
BuildRequires:	pkgconfig(libart-2.0) >= 2.3.20
BuildRequires:	pkgconfig(libgnomecanvas-2.0) >= 2.20.0
BuildRequires:	pkgconfig(libgnomeui-2.0) >= 2.23.0
BuildRequires:	pkgconfig(mono) >= 2.7
BuildRequires:	pkgconfig(mono-cairo) >= 2.7

%description
This is a C# language binding for GNOME.

%package devel
Summary: C# language binding for GNOME - devel files
Group: Development/Other
Requires: %name = %version
Requires: gtk-sharp2-devel

%description devel
This is a C# language binding for GNOME. It contains all files that are needed
to build against %{name}.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x --disable-static
make

%install
%makeinstall_std

rm -rf %buildroot%_libdir/*.la

%files
%doc README
%monodir/gac/*art-sharp
%monodir/gtk-sharp-2.0/*art-sharp.dll*
%monodir/gac/*gconf-sharp
%monodir/gac/*gconf-sharp-peditors
%monodir/gac/*gnome-sharp
%monodir/gac/*gnome-vfs-sharp
%monodir/gtk-sharp-2.0/*gconf-sharp.dll*
%monodir/gtk-sharp-2.0/*gconf-sharp-peditors.dll*
%monodir/gtk-sharp-2.0/*gnome-sharp.dll*
%monodir/gtk-sharp-2.0/*gnome-vfs-sharp.dll*
%_libdir/libgnomesharpglue-2.so


%files devel
%doc ChangeLog
%doc sample
%_bindir/gconfsharp2-schemagen
%_prefix/lib/gtk-sharp-2.0/gconfsharp-schemagen.exe
%_datadir/gapi-2.0/*.xml
%_libdir/pkgconfig/art-sharp-2.0.pc
%_libdir/pkgconfig/gconf-sharp-2.0.pc
%_libdir/pkgconfig/gconf-sharp-peditors-2.0.pc
%_libdir/pkgconfig/gnome-vfs-sharp-2.0.pc
%_libdir/pkgconfig/gnome-sharp-2.0.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.24.2-4.mga3
+ Revision: 352198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 ovitters <ovitters> 2.24.2-3.mga2
+ Revision: 212212
- clean spec

* Wed Dec 14 2011 fwang <fwang> 2.24.2-2.mga2
+ Revision: 181513
- clean up br

* Sun Jan 16 2011 pterjan <pterjan> 2.24.2-1.mga2
+ Revision: 20454
- imported package gnome-sharp2

